searchNodes=[{"ref":"Coinranking.html","title":"Coinranking","type":"module","doc":"An Elixir wrapper for the Coinranking API, using HTTPoison and Poison. example: coin(1, %{base: &quot;USD&quot;, timePeriod: &quot;30d&quot;}) Coinranking API Documentation: https://docs.coinranking.com/public"},{"ref":"Coinranking.html#coin/2","title":"Coinranking.coin/2","type":"function","doc":"Get current data for a single asset. %{param: &quot;value&quot;} param {string|number} id - ID of the coin you want to request param {string} params.base [default: USD] - Base currency param {string} params.timePeriod [default: 24h]- Time period where the change and history are based on"},{"ref":"Coinranking.html#coin_history/3","title":"Coinranking.coin_history/3","type":"function","doc":"Get pricing history for a single asset. %{param: &quot;value&quot;} param {string|number} id - ID of the coin you want to request param {string} params.base [default: USD] - Base currency param {string} params.timeframe [default: 24h]- Time frame where the change and history are based on"},{"ref":"Coinranking.html#coins/1","title":"Coinranking.coins/1","type":"function","doc":"List all coins with data - paginated by 50. %{param: &quot;value&quot;} param {string} params.base [default: USD] - Base currency param {string} params.timePeriod [default: 24h] - Time period where the change and history are based on param {string} params.prefix - Search to filter the list on. Only one of prefix, symbols, slugs or IDs parameters can be used at once param {string} params.symbols - Symbols to filter the list on. Separated by comma. Only one of prefix, symbols, slugs or IDs parameters can be used at once param {string} params.slugs - Slugs to filter the list on. Separated by comma. Only one of prefix, symbols, slugs or IDs parameters can be used at once param {string} params.ids - IDs to filter the list on. Separated by comma. Only one of prefix, symbols, slugs or IDs parameters can be used at once param {string} params.sort [default: coinranking] - Index to sort on. Default is Coinranking which takes the penalties in account param {string|number} params.limit [default: 50] - Limit. Used for pagination. Range: 0-100 param {string|number} params.offset [default: 0] - Offset. Used for pagination param {string} params.order [default: desc] - Sort in ascending or descending order"},{"ref":"Coinranking.html#exchanges/1","title":"Coinranking.exchanges/1","type":"function","doc":"List all exchanges - paginated by 50 %{param: &quot;value&quot;} param {string|number} params.refCurrencyId [default: 1509] - Id of currency in which prices are calculated, defaults to USD param {string|number} params.limit [default: 50] - Limit. Used for pagination. Range: 0-100 param {string|number} params.offset [default: 0] - Offset. Used for pagination param {string} params.order [default: volume] - Sort by either volume, price, numberOfMarkets or lastTickerCreatedAt param {string} params.orderDirection [default: desc] - Sort in ascending or descending order param {string|number} params.currencyId - Filter exchanges with a specific currency. The exchanges shown will support the specific currency and Coinranking will have markets of these currencies. The price will be passed down when this paramater is set."},{"ref":"Coinranking.html#get/2","title":"Coinranking.get/2","type":"function","doc":"GET request Returns an HTTPoison response"},{"ref":"Coinranking.html#get!/2","title":"Coinranking.get!/2","type":"function","doc":"GET request Returns response body with keys as atoms"},{"ref":"Coinranking.html#global_stats/1","title":"Coinranking.global_stats/1","type":"function","doc":"Get global stats %{param: &quot;value&quot;} param {string} params.base [default: USD] - Base currency"},{"ref":"Coinranking.html#markets/1","title":"Coinranking.markets/1","type":"function","doc":"List all markets for currencies - paginated by 50 %{param: &quot;value&quot;} param {string|number} params.refCurrencyId [default: 1509] - Id of currency in which prices are calculated, defaults to USD param {string|number} params.currencyId - Filter markets with specific currency as either base or quote. Specifying a currencyId will also alter how prices are shown: By default all the markets will show the price of the base in the refCurrency (e.g. an ETH/BTC market will show the price of ETH). By specifying a currencyId the prices of this currency will always be shown, disregarding whether or not this currency represents the base or the quote in the market (e.g. by specifying BTC as currency, both ETH/BTC as BTC/USD markets will show prices of BTC) param {string} params.toCurrencyId - Filter markets with specific currency as either base or quote. The toCurrencyId will not alter how the prices will be shown, but will keep the base price. This can be combined with the currencyId variable to get specific markets. param {string} params.baseCurrencyId - Filter markets with specific currency as base param {string} params.quoteCurrencyId - Filter markets with specific currency as quote param {string} params.sourceId - Filter markets from specific source param {string|number} params.limit [default: 50] - Limit. Used for pagination. Range: 0-100 param {string|number} params.offset [default: 0] - Offset. Used for pagination param {string} params.order [default: volume] - Sort by either volume or price. param {string} params.orderDirection [default: desc] - Sort in ascending or descending order"},{"ref":"readme.html","title":"ex_coinranking","type":"extras","doc":"ex_coinranking An Elixir wrapper for the Coinranking API, using HTTPoison and Poison. example: iex(1)&gt; bitcoin = Coinranking.coin(1, %{base: &quot;EUR&quot;, timePeriod: &quot;30d&quot;}) iex(2)&gt; bitcoin.data.coin.description &quot;Bitcoin is the first decentralized digital currency that can be sent through the internet globally without using financial institutions like banks. The network is controlled by many of its users, instead of a few entities.&quot; Coinranking API Documentation: https://docs.coinranking.com/public"}]